# HealBlockTag | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class HealBlockTag

Tag that prevents HP recovery from held items and move effects. It also blocks the usage of recovery moves. Applied by moves: `Heal Block (5 turns)`, `Psychic Noise (2 turns)`

#### Hierarchy (View Summary)

- MoveRestrictionBattlerTag
  - HealBlockTag

- Defined in src/data/battler-tags.ts:2720

##### Index

### Constructors

constructor

### Properties

isBatonPassable
lapseTypes
sourceId?
sourceMove
tagType
turnCount

### Methods

canAdd
getDescriptor
getMoveName
getSourcePokemon
interruptedText
isMoveRestricted
isMoveTargetRestricted
isSourceLinked
lapse
loadTag
onActivation
onAdd
onOverlap
onRemove
selectionDeniedText

## Constructors

### constructor

- new HealBlockTag(turnCount: number, sourceMove: Moves ): HealBlockTag

  #### Parameters

  - turnCount: number
  - sourceMove: Moves

  #### Returns HealBlockTag

  Overrides MoveRestrictionBattlerTag.constructor

  - Defined in src/data/battler-tags.ts:2721

## Properties

### isBatonPassable

isBatonPassable: boolean

Inherited from MoveRestrictionBattlerTag.isBatonPassable

- Defined in src/data/battler-tags.ts:65

### lapseTypes

lapseTypes: BattlerTagLapseType []

Inherited from MoveRestrictionBattlerTag.lapseTypes

- Defined in src/data/battler-tags.ts:61

### `Optional` sourceId

sourceId?: number

Inherited from MoveRestrictionBattlerTag.sourceId

- Defined in src/data/battler-tags.ts:64

### sourceMove

sourceMove: Moves

Inherited from MoveRestrictionBattlerTag.sourceMove

- Defined in src/data/battler-tags.ts:63

### tagType

tagType: BattlerTagType

Inherited from MoveRestrictionBattlerTag.tagType

- Defined in src/data/battler-tags.ts:60

### turnCount

turnCount: number

Inherited from MoveRestrictionBattlerTag.turnCount

- Defined in src/data/battler-tags.ts:62

## Methods

### canAdd

- canAdd(_pokemon: default ): boolean

  #### Parameters

  - _pokemon: default

  #### Returns boolean

  Inherited from MoveRestrictionBattlerTag.canAdd

  - Defined in src/data/battler-tags.ts:83

### getDescriptor

- getDescriptor(): string

  #### Returns string

  Inherited from MoveRestrictionBattlerTag.getDescriptor

  - Defined in src/data/battler-tags.ts:97

### getMoveName

- getMoveName(): null | string

  #### Returns null | string

  Inherited from MoveRestrictionBattlerTag.getMoveName

  - Defined in src/data/battler-tags.ts:105

### getSourcePokemon

- getSourcePokemon(): null | default

  Helper function that retrieves the source Pokemon object

  #### Returns null | default

  The source `Pokemon` or `null` if none is found

  Inherited from MoveRestrictionBattlerTag.getSourcePokemon

  - Defined in src/data/battler-tags.ts:124

### interruptedText

- interruptedText(pokemon: default , move: Moves ): string

  #### Parameters

  - pokemon: default

    `Pokemon` attempting to use the restricted move

  - move: Moves

    `Moves` ID of the move being interrupted

  #### Returns string

  text to display when the move is interrupted

  Overrides MoveRestrictionBattlerTag.interruptedText

  - Defined in src/data/battler-tags.ts:2782

### isMoveRestricted

- isMoveRestricted(move: Moves ): boolean

  Checks if a move is disabled under Heal Block

  #### Parameters

  - move: Moves

    `Moves` the move ID

  #### Returns boolean

  `true` if the move has a TRIAGE_MOVE flag and is a status move

  Overrides MoveRestrictionBattlerTag.isMoveRestricted

  - Defined in src/data/battler-tags.ts:2741

### isMoveTargetRestricted

- isMoveTargetRestricted(move: Moves , user: default , target: default ): boolean

  Checks if a move is disabled under Heal Block because of its choice of target Implemented b/c of Pollen Puff

  #### Parameters

  - move: Moves

    `Moves` the move ID

  - user: default

    `Pokemon` the move user

  - target: default

    `Pokemon` the target of the move

  #### Returns boolean

  `true` if the move cannot be used because the target is an ally

  Overrides MoveRestrictionBattlerTag.isMoveTargetRestricted

  - Defined in src/data/battler-tags.ts:2756

### isSourceLinked

- isSourceLinked(): boolean

  #### Returns boolean

  Inherited from MoveRestrictionBattlerTag.isSourceLinked

  - Defined in src/data/battler-tags.ts:101

### lapse

- lapse(pokemon: default , lapseType: BattlerTagLapseType ): boolean

  #### Parameters

  - pokemon: default
  - lapseType: BattlerTagLapseType

  #### Returns boolean

  Inherited from MoveRestrictionBattlerTag.lapse

  - Defined in src/data/battler-tags.ts:157

### loadTag

- loadTag(source: any): void

  When given a battler tag or json representing one, load the data for it. This is meant to be inherited from by any battler tag with custom attributes

  #### Parameters

  - source: any

    A battler tag

  #### Returns void

  Inherited from MoveRestrictionBattlerTag.loadTag

  - Defined in src/data/battler-tags.ts:114

### onActivation

- onActivation(pokemon: default ): string

  #### Parameters

  - pokemon: default

  #### Returns string

  - Defined in src/data/battler-tags.ts:2730

### onAdd

- onAdd(_pokemon: default ): void

  #### Parameters

  - _pokemon: default

  #### Returns void

  Inherited from MoveRestrictionBattlerTag.onAdd

  - Defined in src/data/battler-tags.ts:87

### onOverlap

- onOverlap(_pokemon: default ): void

  #### Parameters

  - _pokemon: default

  #### Returns void

  Inherited from MoveRestrictionBattlerTag.onOverlap

  - Defined in src/data/battler-tags.ts:91

### onRemove

- onRemove(pokemon: default ): void

  #### Parameters

  - pokemon: default

  #### Returns void

  Overrides MoveRestrictionBattlerTag.onRemove

  - Defined in src/data/battler-tags.ts:2790

### selectionDeniedText

- selectionDeniedText(pokemon: default , move: Moves ): string

  Uses its own unique selectionDeniedText() message

  #### Parameters

  - pokemon: default
  - move: Moves

  #### Returns string

  Overrides MoveRestrictionBattlerTag.selectionDeniedText

  - Defined in src/data/battler-tags.ts:2768